<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="knightsh">
        <counters>
            <coins index="0" number="29" />
        </counters>
        <input>
            <port type="P1_JOYSTICK_RIGHT" mask="1" index="84" defvalue="1">
                <newseq type="standard">
                    KEYCODE_D
                </newseq>
            </port>
            <port type="P1_JOYSTICK_LEFT" mask="2" index="85" defvalue="2">
                <newseq type="standard">
                    KEYCODE_A
                </newseq>
            </port>
            <port type="P1_JOYSTICK_DOWN" mask="4" index="86" defvalue="4">
                <newseq type="standard">
                    KEYCODE_S
                </newseq>
            </port>
            <port type="P1_JOYSTICK_UP" mask="8" index="87" defvalue="8">
                <newseq type="standard">
                    KEYCODE_W
                </newseq>
            </port>
            <port type="P1_BUTTON1" mask="16" index="88" defvalue="16">
                <newseq type="standard">
                    KEYCODE_J
                </newseq>
            </port>
            <port type="P1_BUTTON2" mask="32" index="89" defvalue="32">
                <newseq type="standard">
                    KEYCODE_K
                </newseq>
            </port>
            <port type="P1_BUTTON3" mask="64" index="90" defvalue="64">
                <newseq type="standard">
                    KEYCODE_L
                </newseq>
            </port>
        </input>
        <mixer>
            <volume_multiplier final="256" final_max="2560" mixer="256" mixer_max="2560" />
        </mixer>
    </system>
</mameconfig>
